import { ImageToImageVideoProcessor } from '@shiguredo/image-to-image-video-processor';
/**
 * 使用するLow Light Image Enhancementのモデル名
 * 現時点ではすべて SemanticGuidedLLIE なので、処理解像度のみの違い
 */
export declare enum llieModelNames {
    semanticGuidedLlie1284x720 = "semantic_guided_llie_1284x720",
    semanticGuidedLlie648x480 = "semantic_guided_llie_648x480",
    semanticGuidedLlie648x360 = "semantic_guided_llie_648x360",
    semanticGuidedLlie324x240 = "semantic_guided_llie_324x240"
}
/**
 * GPU 推論を使って画像の明るさ補正を行うプロセッサークラス
 */
export declare class LightAdjustmentGpuProcessor extends ImageToImageVideoProcessor {
    /**
     * {@link LightAdjustmentGpuProcessor} インスタンスを生成します
     *
     * @param assetsPath モデルファイルの配置先ディレクトリパスないしURL
     * @param modelName {@link llieModelNames} のいずれか
     * @param strength 補正の強さ。0.0 から 1.0 の範囲で指定します
     */
    constructor(assetPath: string, modelName: llieModelNames, strength: number);
}
